Error
A valid request URL is required to generate request examples{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"user_id": "<string>",
"org_id": "<string>",
"description": "<string>",
"tool_type": "<string>",
"configuration": {},
"is_active": true,
"created_at": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Tools
Update Tool
Partially update a tool. Only provided fields will be updated.
PATCH
/
tool
/
{tool_id}
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"user_id": "<string>",
"org_id": "<string>",
"description": "<string>",
"tool_type": "<string>",
"configuration": {},
"is_active": true,
"created_at": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
APIKeyHeaderHTTPBearer
Path Parameters
Body
application/json
Request body for partially updating a tool. All fields are optional.
Tool name
Required string length:
1 - 100Human-readable description of what the tool does
Tool type: function, webhook, api
More specific sub-type of the tool
Tool-specific configuration payload (JSON)
Whether the tool is active
Response
Successful Response
Full tool record returned by the API.